## OpenResty-0.5.3.tar.gz

=== demo/Admin/Makefile ===
.PHONY: all pack upload upload2

all:
	-rm -rf out
	-mkdir out
	-cp ../../clients/js/*.js out/
	-rm template/elem/*.tt~
	-cp image/*.* out/
	jemplate --runtime > out/admin-jemplate.js
	jemplate --compile template/elem/ >> out/admin-jemplate.js
	tpage --include_path=template template/index.tt > out/index.html
	tpage --include_path=template template/login.tt > out/login.html
	tpage --define cat=model template/js/handlers.tt > out/model.js
	tpage --define cat=view template/js/handlers.tt > out/view.js
	tpage --define cat=role template/js/handlers.tt > out/role.js
	tpage --define cat=feed template/js/handlers.tt > out/feed.js
	tpage --define cat=action template/js/handlers.tt > out/action.js
	tpage template/js/dispatcher.tt > out/dispatcher.js
	cp ../Blog/image/loading.gif out/
	cp js/*.js out/
	cp js/*/*.js out/
	cp css/*.css out/
	-cp image/*.* out/
	tar cf site-binary.tar out
	gzip -q --best site-binary.tar
	mv site-binary.tar.gz out/

pack: all
	-rm -rf pack_out
	mkdir pack_out
	tpage --define pack_js=1 --include_path=template template/index.tt > out/index.html
	tpage --define pack_js=1 --include_path=template template/login.tt > out/login.html
	cp -r out/* pack_out/
	for file in `find out -name '*.js' | grep -v 'jquery'`; do echo "packing $$file..."; cat $$file | jsmin > pack_out/`basename $$file`; done
	cat pack_out/jquery.js > pack_out/jquery-min.js
	echo >> pack_out/jquery-min.js
	cat pack_out/jquery.jeditable.pack.js >> pack_out/jquery-min.js
	echo >> pack_out/jquery-min.js
	cat pack_out/jquery.cookie.pack.js >> pack_out/jquery-min.js
	rm pack_out/jquery.js pack_out/jquery.*.js
	cat pack_out/admin-jemplate.js pack_out/md5.js pack_out/dojo.openresty.js pack_out/openresty.js pack_out/model.js pack_out/view.js pack_out/role.js pack_out/feed.js pack_out/action.js pack_out/dispatcher.js pack_out/admin.js > pack_out/admin-min.js
	cat pack_out/md5.js pack_out/openresty.js pack_out/login.js > pack_out/login-min.js
	-rm pack_out/login.js
	-rm pack_out/admin-jemplate.js pack_out/md5.js pack_out/openresty.js pack_out/model.js pack_out/view.js pack_out/role.js pack_out/feed.js pack_out/action.js pack_out/dispatcher.js pack_out/admin.js pack_out/dojo.openresty.js
	rm -rf out
	mv pack_out out

upload2: pack
	script/upload

upload: all
	script/upload

=== demo/Blog/Makefile ===
.PHONY: all pack upload upload2

blog_name=Human & Machine
blog_desc=The mad house for a Perl guy, agentzh
blog_owner=agentzh
#resty_server=blog.agentzh.org
resty_server=localhost

all:
	-rm -rf out
	-mkdir out
	-cp ../../clients/js/*.js out/
	-rm out/JSON.js
	-rm out/md5.js
	#rm out/*dojo*.js
	-rm template/elem/*.tt~
	jemplate --runtime > out/blog-jemplate.js
	jemplate --compile template/elem/ >> out/blog-jemplate.js
	tpage --define 'blog_name=$(blog_name)' \
	    --define 'blog_desc=$(blog_desc)' \
	    --define 'blog_owner=$(blog_owner)' \
	    --define 'resty_server=$(resty_server)' \
	    --define 'pack_js=0' \
	    --include_path=template template/index.tt > out/index.html
	cp js/*.js out/
	cp js/*/*.js out/
	cp css/*.css out/
	cp -r css/themes out/
	cp -r image/*.* out/
	cp out/blog.js blog.js
	sed -i 's/\b10\.62\.136\.86\b/api.eeeeworks.org/g' out/blog.js
	tar cvf site-binary.tar out
	gzip --best site-binary.tar
	mv site-binary.tar.gz out/
	mv blog.js out/

pack: all
	-rm -rf pack_out
	mkdir pack_out
	tpage --define 'blog_name=$(blog_name)' \
	    --define 'blog_desc=$(blog_desc)' \
	    --define 'blog_owner=$(blog_owner)' \
	    --define 'resty_server=$(resty_server)' \
	    --define 'pack_js=1' \
	    --include_path=template template/index.tt > out/index.html
	cp -r out/* pack_out/
	for file in `find out -name '*.js' | grep -v 'jquery.js'`; do echo "packing $$file..."; cat $$file | jsmin > pack_out/`basename $$file`; done
	cat pack_out/blog-jemplate.js pack_out/openresty.js pack_out/blog.js > pack_out/blog_min.js
	cat pack_out/jquery.js pack_out/dojo.openresty.js > pack_out/jquery-dojo.js
	rm pack_out/blog-jemplate.js pack_out/openresty.js pack_out/blog.js pack_out/dojo.openresty.js pack_out/jquery.js
	rm -rf out
	mv pack_out out

upload: resty_server=api.eeeeworks.org
upload: all
	script/upload

upload2: resty_server=api.eeeeworks.org
upload2: pack
	script/upload

doc: doc/blog_site.png

doc/blog_site.png: doc/graphviz.mk
	gvmake -f $< --layout neato --edge-len 1.5 --debug > a.dot
	sed -i 's/node \[/node [fontname="consolas", /' a.dot
	neato -Tpng a.dot > $@

=== debian/control ===
Source: libopenresty-perl
Section: web
Priority: optional
Build-Depends: debhelper (>= 5.0.0)
Build-Depends-Indep: perl (>= 5.8.8-12)
Maintainer: Agent Zhang <agentzh@yahoo.cn>
Standards-Version: 3.7.2
Homepage: http://search.cpan.org/dist/OpenResty/

Package: libopenresty-perl
Architecture: i386
Depends: ${perl:Depends}, libcookie-xs-perl, libfcgi-perl, libdbi-perl, libdbd-pg-perl, libcgi-simple-perl, libyaml-syck-perl, libclone-perl, libparams-util-perl, libparse-yapp-perl, libdata-uuid-perl, libgd-securityimage-perl, libcache-memcached-fast-perl, libhash-merge-perl, libconfig-simple-perl, liblist-moreutils-perl, libjson-xs-perl, libdata-structure-util-perl, libdatetime-format-strptime-perl, libdatetime-format-pg-perl, libdigest-md5-perl, libfile-sharedir-perl, libcrypt-cbc-perl, libcrypt-rijndael-perl, libipc-run3-perl, libipc-run-perl, libbenchmark-timer-perl, libhttp-server-simple-perl, libtext-diff-perl, libtext-table-perl, libterm-readline-gnu-perl, libterm-readkey-perl, libcgi-perl, libcache-cache-perl, libclass-prototyped-perl, libtest-longstring-perl, libwww-openresty-perl, libwww-perl
Description: General-purpose web service platform for web applications
 General-purpose web service platform for web applications
 .
 OpenResty
